aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObject

# Documentation

data DeleteObject #

Constructors

DeleteObject |

Fields

- doObjectName :: Text
- doBucket :: Bucket

#### Instances

Instances details

SignQuery DeleteObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ServiceConfiguration DeleteObject |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration

Methods

signQuery :: DeleteObject -> ServiceConfiguration DeleteObject queryType -> SignatureData -> SignedQuery #

Show DeleteObject # |
Instance details Defined in Aws.S3.Commands.DeleteObject Methods showsPrec :: Int -> DeleteObject -> ShowS # show :: DeleteObject -> String # showList :: [DeleteObject] -> ShowS #
ResponseConsumer DeleteObject DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ResponseMetadata DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse #

Transaction DeleteObject DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject
type ServiceConfiguration DeleteObject # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration

data DeleteObjectResponse #

Constructors

DeleteObjectResponse |

#### Instances

Instances details

AsMemoryResponse DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type MemoryResponse DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse

Methods

loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) #

Show DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject Methods showsPrec :: Int -> DeleteObjectResponse -> ShowS # show :: DeleteObjectResponse -> String # showList :: [DeleteObjectResponse] -> ShowS #
ResponseConsumer DeleteObject DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ResponseMetadata DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse #

Transaction DeleteObject DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject
type MemoryResponse DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse
type ResponseMetadata DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata